Bug 147380 - CAN-2005-0227 Multiple security issues in PostgreSQL (CAN-2005-0244 CAN-2005-0245 CAN-2005-0246 CAN-2005-0247)
CAN-2005-0227 Multiple security issues in PostgreSQL (CAN-2005-0244 CAN-2005-...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: postgresql (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Tom Lane
David Lawrence
impact=important,public=20050121
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-02-07 13:59 EST by Tom Lane
Modified: 2013-07-02 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 05:02:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2005-02-07 13:59:47 EST
Description of problem:
CAN-2005-0227 and other issues:
LOAD command allows unprivileged local database users to cause server
to execute arbitrary code.
CREATE AGGREGATE bypasses check for EXECUTE permission on functions.
Buffer overrun in plpgsql parser.
Potential crashes in various contrib modules.

Version-Release number of selected component (if applicable):
7.4.6-1.RHEL4.2

How reproducible:
100%

Steps to Reproduce:
1. See upstream bug reports.
2.
3.
  
Actual results:


Expected results:


Additional info:
These issues need to be patched in prior releases as well.

The vulnerabilities are already public, so no need for embargo.
Comment 1 Tom Lane 2005-02-07 14:05:19 EST
Intended fix for RHEL4 is to update to PostgreSQL 7.4.7, which
contains these fixes as well as assorted non-security-severity bug
fixes.
Comment 2 Mark J. Cox (Product Security) 2005-02-09 04:34:00 EST
A flaw in the LOAD command in PostgreSQL was discovered. A local user
could use this flaw to load arbitrary shared librarys and therefore
execute
arbitrary code, gaining the privileges of the PostgreSQL server. The
Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned
the name CAN-2005-0227 to this issue.

A permission checking flaw in PostgreSQL was discovered. A local user
could bypass the EXECUTE permission check for functions by using the
CREATE
AGGREGATE command. The Common Vulnerabilities and Exposures project
(cve.mitre.org) has assigned the name CAN-2005-0244 to this issue.

Multiple buffer overflows were found in PL/PgSQL. A database user who has
permissions to create plpgsql functions could trigger this flaw which
could
lead to arbitrary code execution, gaining the privileges of the PostgreSQL
server. The Common Vulnerabilities and Exposures project (cve.mitre.org)
has assigned the names CAN-2005-0245 and CAN-2005-0247 to these issues.

A flaw in the integer aggregator (intagg) contrib module for
PostgreSQL was
found. A user could create carefully crafted arrays and cause a denial of
service (crash). The Common Vulnerabilities and Exposures project
(cve.mitre.org) has assigned the name CAN-2005-0246 to this issue.
Comment 3 Mark J. Cox (Product Security) 2005-02-15 05:02:52 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-138.html

Note You need to log in before you can comment on or make changes to this bug.